GNU bug report logs - #43518
Guix substitute crash in procedure raise-exception: wrong type agument in position 1: #f

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; dated Sat, 19 Sep 2020 17:36:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 43518 <at> debbugs.gnu.org:


Received: (at 43518) by debbugs.gnu.org; 30 Sep 2020 17:19:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 13:19:43 2020
Received: from localhost ([127.0.0.1]:32976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNflX-00027F-JK
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 13:19:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kNflW-000272-07
 for 43518 <at> debbugs.gnu.org; Wed, 30 Sep 2020 13:19:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38819)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kNflQ-0001e9-OS; Wed, 30 Sep 2020 13:19:36 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=59182 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kNflQ-0004Jm-9u; Wed, 30 Sep 2020 13:19:36 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#43518: Guix substitute crash in procedure raise-exception:
 wrong type agument in position 1: #f
References: <87imc9y8hq.fsf@HIDDEN> <873630plg1.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 9 =?utf-8?Q?Vend=C3=A9miaire?= an 229 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 30 Sep 2020 19:19:34 +0200
In-Reply-To: <873630plg1.fsf@HIDDEN> (Maxim Cournoyer's message of "Tue, 29
 Sep 2020 13:00:30 -0400")
Message-ID: <87wo0bxjvd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43518
Cc: 43518 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> downloading from https://ci.guix.gnu.org/nar/6m9zimmw8p6gbc1yfbg454c1r587=
b7h4-gcc-10.2.0.tar.xz ...
[=E2=80=A6]
>  gcc-10.2.0.tar.xz  74.3MiB                                     1.1MiB/s =
00:25 [#######           ]  39.1%Backtrace:
[=E2=80=A6]
> In unknown file:
>            5 (display "@ substituter-succeeded /gnu/store/r06j3ms57z4mzfp=
dzfclsi3i9hr4184g-module-imp=E2=80=A6" =E2=80=A6)
> In guix/status.scm:
>    699:16  4 (write! _ _ _)
>     613:6  3 (_ (download-progress "/gnu/store/6m9zimmw8p6gbc1yfbg454c1r5=
87b7h4-gcc-10.2.0.tar.xz" # =E2=80=A6) =E2=80=A6)
> In guix/progress.scm:
>    213:14  2 (display-download-progress "6m9zimmw8p6gbc1yfbg454c1r58@" _ =
#:start-time _ #:transferred _ =E2=80=A6)
> In ice-9/boot-9.scm:
>   1669:16  1 (raise-exception _ #:continuable? _)
>   1669:16  0 (raise-exception _ #:continuable? _)
>
> ice-9/boot-9.scm:1669:16: In procedure raise-exception:
> In procedure =3D: Wrong type argument in position 1: #f

If you have a case that=E2=80=99s reproducible, please take advantage of it=
 and
add =E2=80=98pk=E2=80=99 calls in (guix progress) to see what happens.  Her=
e it seems
that =E2=80=98transferred=E2=80=99 (in =E2=80=98display-download-progress=
=E2=80=99) is #f.

The #f would come from this clause in (guix status):

     ('download-progress item uri
                         (=3D string->number size)
                         (=3D string->number transferred))  ;<- here

That in turn comes from =E2=80=98progress-reporter/trace=E2=80=99, called f=
rom (guix
scripts substitute).

It looks like this issue happens when max-jobs is (noticeably) greater
than 1, as if the client was receiving intermingled =E2=80=9C@
download-progress=E2=80=9D traces, and thus not getting the right =E2=80=98=
transferred=E2=80=99
value.

Could you try to reproduce it while =E2=80=98guix=E2=80=99 is running under=
 strace?
Like:

  strace -o log -s 200 guix build whatever --max-jobs=3D20

?

Then, if you reproduce the error, we=E2=80=99ll look for intermingled trace=
s in
the log.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#43518; Package guix. Full text available.

Message received at 43518 <at> debbugs.gnu.org:


Received: (at 43518) by debbugs.gnu.org; 29 Sep 2020 16:59:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 12:59:07 2020
Received: from localhost ([127.0.0.1]:57031 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNIy3-0000ox-98
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 12:59:07 -0400
Received: from mail-qk1-f193.google.com ([209.85.222.193]:45339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1kNIy1-0000oS-II
 for 43518 <at> debbugs.gnu.org; Tue, 29 Sep 2020 12:59:06 -0400
Received: by mail-qk1-f193.google.com with SMTP id o5so4996594qke.12
 for <43518 <at> debbugs.gnu.org>; Tue, 29 Sep 2020 09:59:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=VE5ULSM3pOoKud5IsAhRcj5bWp+3e2m0ghtLZcGEcU0=;
 b=ROXqCLdPbX5RkiOYCYGFrrOIEtEE46v7hkVABQ2IWxyd7tDzS75cfh6zUSTJodUKPb
 uDGxUJFcBxjtJhz4g0JnLaK53gTiu29CB6A1nSFMXgIRymGQhnr+yX31RSP/pQS6cHaH
 qen7gJiY20kQ8a+A+RXcrNwLyLWOkbPxggYczgprzbYbJPFxPf9kXceyEdD4815OVM03
 egp8rYOXRRH+maxXHiGyroVlUTH+OulQy69AiPg+4vzPQSuXVomck2ECT9+nEYbi+oJz
 cqEggiIigo7JoVoDd1aARbRaWxmkSpuEWHSizslEnTyYWZRhrhV9YWEKrFjyJg5RKAWZ
 iHYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=VE5ULSM3pOoKud5IsAhRcj5bWp+3e2m0ghtLZcGEcU0=;
 b=fqvTw4vGfodu8U6xvKYtTsYk8VDYQ4d3IP0rdB/lEOhpzxm9J/mH5NN/p0ZGTQmID/
 DQ/wRrNgTZoGl5cihXwB5JYgXD+9OBzfSR/II6o39kky67onZRlRDDkytqCnmBF9okke
 p+9uF8ZJ9dkzOqPEijryCPkAgFGpzqLxgw1pWyx3DQOUKASPnENs3DL2C/ACJSxFYvpW
 BjVSU8YoTxr97Y0KBVP7L8XNWZeK3tjvSi4FwsRLITtsK3DedNgmaP0McVaLlL3vaGmW
 fwMnLIUdcaoB3iQRD3X2c4NjoU5IqLgIWC2EF/FRayYrnlhuoeBEVIdAQiYnDWHq+uM0
 gSGQ==
X-Gm-Message-State: AOAM5309fS3vFFH5bklx3He+6HlZ/7qtdTNibEsi+h4d5XxpFIRdsrTx
 MtVnwRl+PxYWDg3nplFUn2G0NAOB/aI=
X-Google-Smtp-Source: ABdhPJx1UlyH+Vrutfu8VgnpmZKGkel9zCJYXiGUnQ3P2nxESrRPfIlDoAi3+92jDm7WlREGWi0V+g==
X-Received: by 2002:a37:6393:: with SMTP id x141mr5249317qkb.238.1601398739417; 
 Tue, 29 Sep 2020 09:58:59 -0700 (PDT)
Received: from hurd (dsl-205-236-230-60.b2b2c.ca. [205.236.230.60])
 by smtp.gmail.com with ESMTPSA id m10sm5849998qti.46.2020.09.29.09.58.58
 for <43518 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 29 Sep 2020 09:58:58 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 43518 <at> debbugs.gnu.org
Subject: Re: bug#43518: Guix substitute crash in procedure raise-exception:
 wrong type agument in position 1: #f
References: <87imc9y8hq.fsf@HIDDEN>
Date: Tue, 29 Sep 2020 13:00:30 -0400
In-Reply-To: <87imc9y8hq.fsf@HIDDEN> (Maxim Cournoyer's message of "Sat, 19
 Sep 2020 13:36:01 -0400")
Message-ID: <873630plg1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 43518
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

Hello,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

[...]

> 0.0 http://127.0.0.1:8080/nar/gzip/954b3kw59mdvanp33yx93q5pzzll4wg9-qemu-=
5.0.0 - 29605888
>  qemu-5.0.0                                                           1.6=
MiB/s 00:26 | 41.8MiB transferredBacktrace:
> In ice-9/boot-9.scm:
>   1731:15 19 (with-exception-handler #<procedure 7f485337bd50 at ice-9/bo=
ot-9.scm:1815:7 (exn)> _ # _ # =E2=80=A6)
> In guix/scripts/package.scm:
>    966:10 18 (_)
> In guix/status.scm:
>     776:4 17 (call-with-status-report _ _)
> In guix/store.scm:
>    1300:8 16 (call-with-build-handler _ _)
>    1300:8 15 (call-with-build-handler #<procedure 7f485337b000 at guix/ui=
.scm:1166:2 (continue store =E2=80=A6> =E2=80=A6)
> In guix/scripts/package.scm:
>     889:2 14 (_)
> In guix/build/syscalls.scm:
>    1167:4 13 (call-with-file-lock/no-wait _ _ _)
> In guix/scripts/package.scm:
>    143:19 12 (build-and-use-profile #<store-connection 256.99 7f485480319=
0> "/var/guix/profiles/per-u=E2=80=A6" =E2=80=A6)
> In guix/store.scm:
>   2042:24 11 (run-with-store #<store-connection 256.99 7f4854803190> _ #:=
guile-for-build _ #:system _ # =E2=80=A6)
> In guix/profiles.scm:
>    1586:2 10 (_ _)
>     348:2  9 (_ _)
> In guix/store.scm:
>   1924:12  8 (_ #<store-connection 256.99 7f4854803190>)
>    1357:5  7 (map/accumulate-builds #<store-connection 256.99 7f485480319=
0> _ _)
>   1368:15  6 (_ #<store-connection 256.99 7f4854803190> _ _)
>    740:13  5 (process-stderr _ _)
> In unknown file:
>            4 (display "@ substituter-succeeded /gnu/store/277yzwcx6fshsxl=
qnwvyv94q66miv3ii-diffoscope=E2=80=A6" =E2=80=A6)
> In guix/status.scm:
>    699:16  3 (write! _ _ _)
>     613:6  2 (_ (download-progress "/gnu/store/954b3kw59mdvanp33yx93q5pzz=
ll4wg9-qemu-5.0.0" "http:=E2=80=A6" =E2=80=A6) =E2=80=A6)
> In guix/progress.scm:
>    213:14  1 (display-download-progress "qem@" _ #:start-time _ #:transfe=
rred _ #:log-port _)
> In ice-9/boot-9.scm:
>   1669:16  0 (raise-exception _ #:continuable? _)
>
> ice-9/boot-9.scm:1669:16: In procedure raise-exception:
> In procedure =3D: Wrong type argument in position 1: #f

Here's a second instance of that problem, that I could get just now,
from Guix commit d48b17adb91d68acf6fb3f321c05102fcc8c39eb:

--8<---------------cut here---------------start------------->8---
guix environment --system=3Darmhf-linux --ad-hoc gcc-toolchain
substitute: updating substitutes from 'http://127.0.0.1:8080'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
0.4 MB will be downloaded
downloading from https://ci.guix.gnu.org/nar/lzip/jf2x64p5z1ykg4px2plh0v5a7=
r20pc50-glibc-utf8-locales-2.31 ...
 glibc-utf8-locales-2.31  376KiB                                683KiB/s 00=
:01 [##################] 100.0%

substitute: updating substitutes from 'http://127.0.0.1:8080'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
The following derivations will be built:
   /gnu/store/2iswjr97v4kfpb8q0jwzjwwjm9rvcq1q-profile.drv
   /gnu/store/anx317lak54y5lg3hw8i8fn5hy485ayx-gcc-toolchain-10.2.0.drv
   /gnu/store/6vqbb2jks246cjbqclxaq6x1j4zcvvg1-gcc-10.2.0.drv
   /gnu/store/ih15jlds75wh246dnb6s9sixqz93mqrp-module-import-compiled.drv

10 items will be downloaded
building CA certificate bundle...
building fonts directory...
building directory of Info manuals...
building database for manual pages...
substitute: updating substitutes from 'http://127.0.0.1:8080'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
process 18399 acquired build slot '/var/guix/offload/127.0.0.1:6666/1'
load on machine '127.0.0.1' is 0.78 (normalized: 0.39)
building /gnu/store/ih15jlds75wh246dnb6s9sixqz93mqrp-module-import-compiled=
.drv...
The following builds are still in progress:
  /gnu/store/dzchr45vhqwa538skm6h5mjqb73ly01i-manual-database.drv
  /gnu/store/ih15jlds75wh246dnb6s9sixqz93mqrp-module-import-compiled.drv
  /gnu/store/s12hk0x8khglmqky7035a904ryjf4hbd-info-dir.drv
  /gnu/store/zafx1kh4jnycqxhy2kfm6jajq3dgp3cm-fonts-dir.drv

The following builds are still in progress:
  /gnu/store/dzchr45vhqwa538skm6h5mjqb73ly01i-manual-database.drv
  /gnu/store/ih15jlds75wh246dnb6s9sixqz93mqrp-module-import-compiled.drv
  /gnu/store/s12hk0x8khglmqky7035a904ryjf4hbd-info-dir.drv

The following builds are still in progress:
  /gnu/store/dzchr45vhqwa538skm6h5mjqb73ly01i-manual-database.drv
  /gnu/store/ih15jlds75wh246dnb6s9sixqz93mqrp-module-import-compiled.drv

The following build is still in progress:
  /gnu/store/ih15jlds75wh246dnb6s9sixqz93mqrp-module-import-compiled.drv

|offloading build of /gnu/store/ih15jlds75wh246dnb6s9sixqz93mqrp-module-imp=
ort-compiled.drv to '127.0.0.1'
downloading from https://ci.guix.gnu.org/nar/lzip/1nr37qqaqmcn3dbrjg5z7r0mf=
kaaf2aq-glibc-bootstrap-0 ...
downloading from https://ci.guix.gnu.org/nar/lzip/idr9bk61lar8i6fqpmkvpg8ph=
5wdbapr-isl-0.22.1 ...
downloading from https://ci.guix.gnu.org/nar/lzip/dnikscj9hksx4g4fs4qd2ynj1=
rzv6fz9-libelf-0.8.13 ...
downloading from https://ci.guix.gnu.org/nar/6m9zimmw8p6gbc1yfbg454c1r587b7=
h4-gcc-10.2.0.tar.xz ...
|

substitution of /gnu/store/dnikscj9hksx4g4fs4qd2ynj1rzv6fz9-libelf-0.8.13 c=
omplete
 80% [#####################################################################=
##########                    ]

substitution of /gnu/store/idr9bk61lar8i6fqpmkvpg8ph5wdbapr-isl-0.22.1 comp=
lete
 90% [#####################################################################=
####################          ]

downloading from https://ci.guix.gnu.org/nar/lzip/ws1p3jb5pjlfmsmklq2b6288n=
y9nwm55-libstdc%2B%2B-7.5.0 ...
substitution of /gnu/store/1nr37qqaqmcn3dbrjg5z7r0mfkaaf2aq-glibc-bootstrap=
-0 complete
100% [#####################################################################=
##############################]

downloading from https://ci.guix.gnu.org/nar/lzip/ldwybsllicl9h433aixm1cv28=
g70ifz2-libstdc%2B%2B-boot0-4.9.4 ...


4
substitution of /gnu/store/ws1p3jb5pjlfmsmklq2b6288ny9nwm55-libstdc++-7.5.0=
 complete
substitution of /gnu/store/ldwybsllicl9h433aixm1cv28g70ifz2-libstdc++-boot0=
-4.9.4 complete
 gcc-10.2.0.tar.xz  74.3MiB                                     812KiB/s 00=
:25 [####              ]  27.2%

xz 77898736 21561440
 gcc-10.2.0.tar.xz  74.3MiB                                     1.1MiB/s 00=
:25 [#######           ]  39.1%Backtrace:
In ice-9/boot-9.scm:
  1736:10 19 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type _)
  1731:15 18 (with-exception-handler #<procedure 7f5866dd6240 at ice-9/boot=
-9.scm:1815:7 (exn)> _ # _ # =E2=80=A6)
  1736:10 17 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type _)
In guix/store.scm:
   631:37 16 (thunk)
   1300:8 15 (call-with-build-handler _ _)
   1300:8 14 (call-with-build-handler _ _)
   1300:8 13 (call-with-build-handler #<procedure 7f5866e10b70 at guix/ui.s=
cm:1166:2 (continue store =E2=80=A6> =E2=80=A6)
In guix/status.scm:
    776:4 12 (call-with-status-report _ _)
In guix/scripts/environment.scm:
   741:14 11 (_)
In guix/store.scm:
  2042:24 10 (run-with-store #<store-connection 256.99 7f586aec4410> _ #:gu=
ile-for-build _ #:system _ # =E2=80=A6)
In guix/scripts/environment.scm:
   754:18  9 (_ _)
In guix/store.scm:
  1911:38  8 (_ #<store-connection 256.99 7f5864a456e0>)
  1368:15  7 (_ #<store-connection 256.99 7f5864a456e0> _ _)
   740:13  6 (process-stderr _ _)
In unknown file:
           5 (display "@ substituter-succeeded /gnu/store/r06j3ms57z4mzfpdz=
fclsi3i9hr4184g-module-imp=E2=80=A6" =E2=80=A6)
In guix/status.scm:
   699:16  4 (write! _ _ _)
    613:6  3 (_ (download-progress "/gnu/store/6m9zimmw8p6gbc1yfbg454c1r587=
b7h4-gcc-10.2.0.tar.xz" # =E2=80=A6) =E2=80=A6)
In guix/progress.scm:
   213:14  2 (display-download-progress "6m9zimmw8p6gbc1yfbg454c1r58@" _ #:=
start-time _ #:transferred _ =E2=80=A6)
In ice-9/boot-9.scm:
  1669:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
In procedure =3D: Wrong type argument in position 1: #f
--8<---------------cut here---------------end--------------->8---

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#43518; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Sep 2020 17:35:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 19 13:35:04 2020
Received: from localhost ([127.0.0.1]:48024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJglM-00023X-EN
	for submit <at> debbugs.gnu.org; Sat, 19 Sep 2020 13:35:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:41048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1kJglJ-000239-J3
 for submit <at> debbugs.gnu.org; Sat, 19 Sep 2020 13:35:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41194)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1kJglJ-0003AW-CH
 for bug-guix@HIDDEN; Sat, 19 Sep 2020 13:35:01 -0400
Received: from mail-qv1-xf43.google.com ([2607:f8b0:4864:20::f43]:41239)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1kJglH-000242-Lf
 for bug-guix@HIDDEN; Sat, 19 Sep 2020 13:35:01 -0400
Received: by mail-qv1-xf43.google.com with SMTP id ef16so4938814qvb.8
 for <bug-guix@HIDDEN>; Sat, 19 Sep 2020 10:34:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=TNSYBpGwnAIGFvGGKkcKduOWky1H0eVnRTmtccU7++s=;
 b=rg3QDGnuYUZAOUjiarwsB2d+gEugcB5D59tLSCfap4Y15TdjruVsMVpEYwrwHhP5jD
 Omfs10mV2lILH8eW26YXsjz51pMKw0zOvnRJ4oJeHvzD4FqXC4DfNiFovO9o4mSGyiXl
 iVXdDadKLePCSx27OcvllnfPBQTZG1j8cWSJsr/lVYKLtYcrtSDkMKwcBIYSJQxVwc3Q
 6PzyzyJ6OS5KNpM2B3JqP/eKj9p6iMkWYM9RJJ0vE+2vaQucatJr3zELJGVmR1kaisJC
 VpRManaiQXPGQCmuJD+LlIUJ50F25I6HR3DEu6N2t8p0iEbaqfNrtKBCl4mi5viIFMSP
 XWMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=TNSYBpGwnAIGFvGGKkcKduOWky1H0eVnRTmtccU7++s=;
 b=ti2t+r/f+Qt8rUQvn3FiUSjCJH1fOnAEKHYylMRxifVs4F3oM/viWECwOPfC6M5pBG
 ZV6a4Fidx+d+S+5jkDacpoQgJHHB2k2ErU6sTAo6Wi2GXMFG/icIP8bOxeBD03VVxnPT
 PB43K80LbIN/YMjOJn+gjCFwHaSIXqIBHeyxbyP0ftN44Y7DxNm1JBMvvYW53i6/tZ8I
 HJJf3HCD2MkTwBaMnqTC+6BsI2bpsbTwnkMDNfvgGP4HLwcE8bvgZ1QQ03KSbEJFTHG/
 kin1RQKQ749W4rOERwJzlkdKz5BVSqzxEyR/M0Ssu+cKz4Tap1K8eaON49k/ipZVr6nn
 M3FA==
X-Gm-Message-State: AOAM531XacLcnAx0hA+kp+CjbmMlUITWmSRCO3GnrSFdQ9o12FJbl2nz
 LQfB11d7rEbhcLK825zH6ND/uqC8GvU=
X-Google-Smtp-Source: ABdhPJwjRXl6LS5M15itY/R6RqDHo8Jx4S6T0Kg/CFbRdVW/vAhKHS2qqC1Bom76N4OoGIn4Z9EthQ==
X-Received: by 2002:a0c:e78c:: with SMTP id x12mr38546233qvn.3.1600536898289; 
 Sat, 19 Sep 2020 10:34:58 -0700 (PDT)
Received: from hurd (dsl-159-128.b2b2c.ca. [66.158.159.128])
 by smtp.gmail.com with ESMTPSA id d200sm4663792qkc.109.2020.09.19.10.34.57
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Sep 2020 10:34:57 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: bug-guix <bug-guix@HIDDEN>
Subject: Guix substitute crash in procedure raise-exception: wrong type
 agument in position 1: #f
Date: Sat, 19 Sep 2020 13:36:01 -0400
Message-ID: <87imc9y8hq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::f43;
 envelope-from=maxim.cournoyer@HIDDEN; helo=mail-qv1-xf43.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 NUMERIC_HTTP_ADDR=1.242, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Seems like a second exception raised in the process of raising an
exception :-).

The original crash reason is unkown, the network was operating normally.

downloading from http://127.0.0.1:8080/nar/gzip/8sdx7qyb4l3ni6yy902jlhamb26=
lqb6f-spice-gtk-0.37 ...


0.0 http://127.0.0.1:8080/nar/gzip/954b3kw59mdvanp33yx93q5pzzll4wg9-qemu-5.=
0.0 - 29605888
 qemu-5.0.0                                                           1.6Mi=
B/s 00:26 | 41.8MiB transferredBacktrace:
In ice-9/boot-9.scm:
  1731:15 19 (with-exception-handler #<procedure 7f485337bd50 at ice-9/boot=
-9.scm:1815:7 (exn)> _ # _ # =E2=80=A6)
In guix/scripts/package.scm:
   966:10 18 (_)
In guix/status.scm:
    776:4 17 (call-with-status-report _ _)
In guix/store.scm:
   1300:8 16 (call-with-build-handler _ _)
   1300:8 15 (call-with-build-handler #<procedure 7f485337b000 at guix/ui.s=
cm:1166:2 (continue store =E2=80=A6> =E2=80=A6)
In guix/scripts/package.scm:
    889:2 14 (_)
In guix/build/syscalls.scm:
   1167:4 13 (call-with-file-lock/no-wait _ _ _)
In guix/scripts/package.scm:
   143:19 12 (build-and-use-profile #<store-connection 256.99 7f4854803190>=
 "/var/guix/profiles/per-u=E2=80=A6" =E2=80=A6)
In guix/store.scm:
  2042:24 11 (run-with-store #<store-connection 256.99 7f4854803190> _ #:gu=
ile-for-build _ #:system _ # =E2=80=A6)
In guix/profiles.scm:
   1586:2 10 (_ _)
    348:2  9 (_ _)
In guix/store.scm:
  1924:12  8 (_ #<store-connection 256.99 7f4854803190>)
   1357:5  7 (map/accumulate-builds #<store-connection 256.99 7f4854803190>=
 _ _)
  1368:15  6 (_ #<store-connection 256.99 7f4854803190> _ _)
   740:13  5 (process-stderr _ _)
In unknown file:
           4 (display "@ substituter-succeeded /gnu/store/277yzwcx6fshsxlqn=
wvyv94q66miv3ii-diffoscope=E2=80=A6" =E2=80=A6)
In guix/status.scm:
   699:16  3 (write! _ _ _)
    613:6  2 (_ (download-progress "/gnu/store/954b3kw59mdvanp33yx93q5pzzll=
4wg9-qemu-5.0.0" "http:=E2=80=A6" =E2=80=A6) =E2=80=A6)
In guix/progress.scm:
   213:14  1 (display-download-progress "qem@" _ #:start-time _ #:transferr=
ed _ #:log-port _)
In ice-9/boot-9.scm:
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
In procedure =3D: Wrong type argument in position 1: #f

Maxim




Acknowledgement sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#43518; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 30 Sep 2020 17:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.